MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0007253Community[OCCT] OCCT:Foundation Classespublic2004-11-19 09:452012-01-23 12:57
Reporterbugmaster 
Assigned Toimv 
PrioritynormalSeverityfeature 
StatusclosedResolutionfixed 
PlatformOSAllOS Version
Product Version 
Target VersionFixed in Version[OCCT] 5.2.2 
Summary0007253: Compilation at g++ (GCC) 3.3.4 (Debian 1:3.3.4-13)
DescriptionContribution form Anton Verburg

Here's a unified patch to make Opencasdade compiling at g++ (GCC) 3.3.4
(Debian 1:3.3.4-13). The patch is for ros/inc/Plugin_Macro.hxx.

It uses the macrodefinition without ##, if compiling in Linux. Note that
I don't know if it will hurt other OSS-es, or versions of G++. In
general, the use of ## is not recommended by OS-developers, so I do not
expect problems.

I also discovered that the file Plugin_Macro.hxx exist two times; one
time in ros/inc/ and one time in ros/src/Plugin/. The last one should be
removed, in order to prevent from misfiring.


--- ../../../inc/Plugin_Macro.hxx 2004-11-16 23:14:41.000000000 +0100
+++ ./Plugin_Macro-old.hxx 2004-11-16 23:14:26.000000000 +0100
@@ -7,7 +7,7 @@
 #ifndef _PlugIn_Macro_HeaderFile
 #define _PlugIn_Macro_HeaderFile
 
-#if defined (__hpux) || defined (HPUX)
+#if defined (__hpux) || defined (HPUX) || defined (LIN)
 #define PLUGIN(name) \
 extern "C" {Standard_EXPORT Handle(Standard_Transient) PLUGINFACTORY(const
Standard_GUID&);} \
 Handle(Standard_Transient) PLUGINFACTORY(const Standard_GUID& aGUID) { \
TagsNo tags attached.
Test case number
Attached Filestgz file icon OCC7253.tgz (1,099 bytes) 2004-11-19 13:55

- Relationships

-  Notes
There are no notes attached to this issue.

- Issue History
Date Modified Username Field Change
2004-11-19 09:47 bugmaster CC => szv
2004-11-19 09:47 bugmaster Assigned To bugmaster => imv
2004-11-19 09:47 bugmaster Status new => assigned
2004-11-19 16:39 bugmaster CC => aki
2004-11-19 16:39 bugmaster Status assigned => resolved
2004-11-24 11:48 aki Status resolved => tested
2004-11-29 09:32 bugmaster Status tested => verified
2004-12-24 08:57 bugmaster Status verified => closed
2004-12-24 08:57 bugmaster Resolution @0@ => fixed
2011-08-02 11:23 bugmaster Category OCCT:FDC => OCCT:Foundation Classes
2012-01-23 12:57 abv Project Open CASCADE => Community


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker